import { LitElement } from 'lit';
type Constructor<T> = new (...args: any[]) => T;
/**
 * This mixin handles focusing of elements, and adds the `gds-focus` and `gds-blur` events.
 */
export declare const Focusable: <T extends Constructor<LitElement>>(superClass: T) => Constructor<LitElement> & T;
export {};
